MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001273ardourfeaturespublic2006-10-11 13:502010-12-11 12:54
Reporteroofus 
Assigned To 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusacknowledgedResolutionreopened 
PlatformOSOS Version
Product Version 
Target Version3.XFixed in Version 
Summary0001273: Add a timecode clock to the F11-fullscreen mode.
DescriptionAdd a timecode clock to the F11-fullscreen mode. Would probably fit on the top line centrally between 'Help' and xxKHz. Should follow the selection of the main TC clock in the editor window.
TagsNo tags attached.
Attached Files

- Relationships
related to 0001646acknowledged Fullscreen mode hides transport buttons 

-  Notes
(0002558)
paul (administrator)
2006-11-01 20:50

whats wrong with the big clock window instead? then you can move it around, too.
(0002601)
obligog (reporter)
2006-11-02 16:45

The big clock window is better than having no TC display, but it will still cover something. The point of F11 (for me) is increased screen real estate and therefore the ability to see more that is going on. Another TC display as part of the window wouldn't obscure anything.
(0006327)
seablade (manager)
2009-07-04 22:09

While I can certainly agree having a single clock on the fullscreen mode might be desireable, the placement you suggested no longer exists, can you suggest a new placement when you get a moment?
(0006346)
oofus (developer)
2009-07-05 11:40

The placement I suggested still exists. I think my suggestion still stands, nothing has changed.
(0006347)
seablade (manager)
2009-07-05 12:12

Cany ou take a screenshot of that placement, I don't have a 'help' in fulscreen mode here apparently, so I am not sure where you are talking about. Nor do I have any samplerate reading on the top line here.

For the record, the related issue at least has a workaround that helps with me that is worth taking a look at. (And honestly taking a look at for a more permanant solution). Right now what does work is to undock the transport toolbar before going into fullscreen, and redock it afterwards. That gives me both transport controls and the clock, both of which are somewhat useful to me i the fullscreen mode.

      Seablade
(0006350)
seablade (manager)
2009-07-05 13:41

Talked with Oofus on IRC, where he was suggesting isn't as much of an option on OS X sadly as the menubar is hidden most of the time. As a result we discussed the possibility of having a half-sized transport toolbar that would have basic transport controls and a clock on it. If I get time I will see about making a mockup of it, we agreed the fullsize transport bar is a little to large for what we want in that mode really.
(0009403)
cth103 (administrator)
2010-11-14 05:50

SVN now puts a clock in the menu bar in fullscreen mode.
(0009418)
oofus (developer)
2010-11-14 12:51
edited on: 2010-11-14 17:50

So it does. But, it doesn't look too hot really, and it moves around as the dsp, etc, readouts change from single to double digits. Maybe it could be placed centrally ?

(0009576)
cth103 (administrator)
2010-12-07 19:25

Are there still problems with this?
(0009577)
oofus (developer)
2010-12-08 01:26

Other than looking a bit odd, it is functioning correctly.
(0009592)
cth103 (administrator)
2010-12-10 09:39

Removed as per discussion on IRC until someone comes up with an appropriate style for this clock.

- Issue History
Date Modified Username Field Change
2006-10-11 13:50 obligog New Issue
2006-10-11 13:50 obligog email => chris@oofus.demon.co.uk
2006-10-11 13:50 obligog name => Chris
2006-11-01 20:50 paul Note Added: 0002558
2006-11-01 20:50 paul Status new => feedback
2006-11-02 16:45 obligog Note Added: 0002601
2007-01-26 04:54 oofus Reporter obligog => oofus
2009-07-04 22:09 seablade Note Added: 0006327
2009-07-04 22:09 seablade OS Mandriva Linux =>
2009-07-04 22:09 seablade OS Version 2007 =>
2009-07-04 22:09 seablade Platform Centino 1.6GHz =>
2009-07-04 22:09 seablade Build pre 2.0 SVN 795 =>
2009-07-04 22:25 seablade Relationship added related to 0001646
2009-07-05 11:40 oofus Note Added: 0006346
2009-07-05 12:12 seablade Note Added: 0006347
2009-07-05 13:41 seablade Note Added: 0006350
2009-07-05 13:41 seablade Status feedback => acknowledged
2010-08-16 14:30 oofus cost => 0.00
2010-08-16 14:30 oofus Target Version => 3.0-beta1
2010-11-14 05:50 cth103 Note Added: 0009403
2010-11-14 05:50 cth103 Status acknowledged => resolved
2010-11-14 05:50 cth103 Resolution open => fixed
2010-11-14 05:50 cth103 Assigned To => cth103
2010-11-14 12:51 oofus Note Added: 0009418
2010-11-14 12:51 oofus Status resolved => feedback
2010-11-14 12:51 oofus Resolution fixed => reopened
2010-11-14 17:50 oofus Note Edited: 0009418
2010-12-07 19:25 cth103 Note Added: 0009576
2010-12-08 01:26 oofus Note Added: 0009577
2010-12-10 09:38 cth103 Status feedback => acknowledged
2010-12-10 09:39 cth103 Note Added: 0009592
2010-12-10 09:39 cth103 Target Version 3.0-beta1 => 3.X
2010-12-11 12:54 cth103 Assigned To cth103 =>


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker